# Uses of Class
org.eclipse.team.core.diff.DiffFilter

Packages that use DiffFilter
Package
Description
org.eclipse.team.core.diff
Application programming interfaces for working with diffs.
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.

## Uses of DiffFilter in org.eclipse.team.core.diff

Subclasses of DiffFilter in org.eclipse.team.core.diff
Modifier and Type
Class
Description
`class`
`FastDiffFilter`
A specialized `DiffNodeFilter` that does not require a progress monitor.

## Uses of DiffFilter in org.eclipse.team.core.subscribers

Methods in org.eclipse.team.core.subscribers that return DiffFilter
Modifier and Type
Method
Description
`protected DiffFilter`
SubscriberMergeContext.`getDiffFilter()`
Return the diff filter used to filter the differences that the merge context will present to clients.